package com.goafanti.weChat.bo;

import com.goafanti.common.model.PublicRelease;

import java.util.Date;

public class InputPublicRelease extends PublicRelease {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	private String releaseStarts;

	private String releaseEnds;

	private String ocbId;

	private String reason;

	private String uids;

	/**
	 * 经度
	 */
	private String longitude;

	/**
	 * 纬度
	 */
	private String latitude;

	/**
	 * 打卡状态 1正常打卡 2异常打卡
	 */
	private Integer clockIn;

	/**
	 * 打卡时间
	 */
	private Date clockInTime;

	/**
	 * 照片
	 */
	private String photoUrl;

	/**
	 * 公出企业地址
	 */
	private String districtName;

	/**
	 * 打卡说明
	 */
	private String clockInRemarks;


	/**
	 * 时长
	 */
	private Double duration;


	private String uid;

	private String uais;

	public String getUais() {
		return uais;
	}

	public void setUais(String uais) {
		this.uais = uais;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public Integer getClockIn() {
		return clockIn;
	}

	public void setClockIn(Integer clockIn) {
		this.clockIn = clockIn;
	}

	public Date getClockInTime() {
		return clockInTime;
	}

	public void setClockInTime(Date clockInTime) {
		this.clockInTime = clockInTime;
	}

	public String getPhotoUrl() {
		return photoUrl;
	}

	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public String getClockInRemarks() {
		return clockInRemarks;
	}

	public void setClockInRemarks(String clockInRemarks) {
		this.clockInRemarks = clockInRemarks;
	}

	@Override
	public Double getDuration() {
		return duration;
	}

	@Override
	public void setDuration(Double duration) {
		this.duration = duration;
	}

	public String getUids() {
		return uids;
	}

	public void setUids(String uids) {
		this.uids = uids;
	}

	public String getReleaseStarts() {
		return releaseStarts;
	}

	public void setReleaseStarts(String releaseStarts) {
		this.releaseStarts = releaseStarts;
	}

	public String getReleaseEnds() {
		return releaseEnds;
	}

	public void setReleaseEnds(String releaseEnds) {
		this.releaseEnds = releaseEnds;
	}

	public String getOcbId() {
		return ocbId;
	}

	public void setOcbId(String ocbId) {
		this.ocbId = ocbId;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

}
